part of viltage;

class CharNode {
  int x, y;
  String char = "x";
  String color = "#000000";
  String backgroundColor = null;
  String fontName = null;
  bool italic = null;
  bool bold = null;
  
  CharNode(this.x, this.y, this.char) { }
  
  /* comparing two CharNodes dependently on their values */
  bool sameValueAs(CharNode other) {        
    return (other.char == char && other.backgroundColor == backgroundColor && other.color == color && other.italic == italic && other.bold == bold && other.fontName == fontName);
  }
  
  /* creates identical CharNode */
  CharNode copy(VilTAGE viltage) {
    CharNode newCn = new CharNode(x, y, char)
      ..color = color
      ..backgroundColor = backgroundColor==null?viltage.backgroundColor:backgroundColor
      ..bold = bold==null?viltage.bold:bold
      ..italic = italic==null?viltage.italic:italic
      ..fontName = fontName==null?viltage.fontName:fontName;
    
    return newCn;
  }
}